imports:
    - { resource: config.yml }
    - { resource: parameters_sb.yml }
    - { resource: security_dev.yml }

framework:
    router:
        resource: "%kernel.root_dir%/config/routing_sb.yml"
        strict_requirements: true
    profiler: { only_exceptions: false }

web_profiler:
    toolbar: true
    intercept_redirects: false

#monolog:
#    handlers:
#        main:
#            type:   stream
#            path:   "%kernel.logs_dir%/%kernel.environment%.log"
#            level:  debug
#        console:
#            type:   console
#            bubble: false
        # uncomment to get logging in your browser
        # you may have to allow bigger header sizes in your Web server configuration
        #firephp:
        #    type:   firephp
        #    level:  info
        #chromephp:
        #    type:   chromephp
        #    level:  info
#monolog:
#    handlers:
#        main:
#            type: service
#            level: debug
#            id: logger_database
#            formatter: monolog.processor.request

#swiftmailer:
#    delivery_address: me@example.com
# logger
monolog:
    channels: ['access']
    handlers:
        main:
            type:   stream
            path:   "%kernel.logs_dir%/%kernel.environment%.log"
            level:  debug
            formatter: monolog.formatter.track_id
        console:
            type:   console
            bubble: false
        dblog:
            type: service
            level: debug
            channels: [app, doctrine, access]
            id: lifestyle_monolog_db
#monolog:
#    handlers:
#        main:
#            type: service
#            level: debug
#            id: logger_database
#            formatter: monolog.formatter.track_id
